#ifndef PARTICLE_H
#define PARTICLE_H

#include "ofMain.h"
#include "ofxVectorMath.h"

class particle
{
    public:
        ofxVec2f pos;
        ofxVec2f vel;
        ofxVec2f frc;   // frc is also know as acceleration (newton says "f=ma")
			
        particle();
		virtual ~particle(){};

        void resetForce();
        void addForce(float x, float y);
        void addDampingForce();
        void setInitialCondition(float px, float py, float vx, float vy);
        void update();
        void draw();
		void rotate(float rx, float ry);
		void xenoToPoint(float catchX, float catchY);
	
		float damping;
		ofImage ants;
	
	
	float		catchUpSpeed;		// take this pct of where I want to be, and 1-catchUpSpeed of my pos
	
	ofPoint		prevPos;
	
	float		angle;

    protected:
    private:
};

#endif // PARTICLE_H
